Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::Vector Class Referenceabstract

Vector Base Class. More...

`#include <IpVector.hpp>`

Inheritance diagram for Ipopt::Vector:
[legend]

## Public Member Functions
Vector * | MakeNew () const
| Create new Vector of the same type with uninitialized data. More...
Vector * | MakeNewCopy () const
| Create new Vector of the same type and copy the data over. More...
bool | HasValidNumbers () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan). More...
Constructor/Destructor
| Vector (const VectorSpace *owner_space)
| Constructor. More...
virtual | ~Vector ()
| Destructor. More...
Standard BLAS-1 Operations
(derived classes do NOT overload these methods, instead, overload the protected versions of these methods).
void | Copy (const Vector &x)
| Copy the data of the vector x into this vector (DCOPY). More...
void | Scal (Number alpha)
| Scales the vector by scalar alpha (DSCAL) More...
void | Axpy (Number alpha, const Vector &x)
| Add the multiple alpha of vector x to this vector (DAXPY) More...
Number | Dot (const Vector &x) const
| Computes inner product of vector x with this (DDOT) More...
Number | Nrm2 () const
| Computes the 2-norm of this vector (DNRM2) More...
Number | Asum () const
| Computes the 1-norm of this vector (DASUM) More...
Number | Amax () const
| Computes the max-norm of this vector (based on IDAMAX) More...
Additional (Non-BLAS) Vector Methods
(derived classes do NOT overload these methods, instead, overload the protected versions of these methods).
void | Set (Number alpha)
| Set each element in the vector to the scalar alpha. More...
void | ElementWiseDivide (const Vector &x)
| Element-wise division . More...
void | ElementWiseMultiply (const Vector &x)
| Element-wise multiplication . More...
void | ElementWiseMax (const Vector &x)
| Element-wise max against entries in x. More...
void | ElementWiseMin (const Vector &x)
| Element-wise min against entries in x. More...
void | ElementWiseReciprocal ()
| Reciprocates the entries in the vector. More...
void | ElementWiseAbs ()
| Absolute values of the entries in the vector. More...
void | ElementWiseSqrt ()
| Element-wise square root of the entries in the vector. More...
void | ElementWiseSgn ()
    Replaces the vector values with their sgn values
( -1 if x_i < 0, 0 if x_i == 0, and 1 if x_i > 0) More...
void | AddScalar (Number scalar)
| Add scalar to every vector component. More...
Number | Max () const
| Returns the maximum value in the vector. More...
Number | Min () const
| Returns the minimum value in the vector. More...
Number | Sum () const
| Returns the sum of the vector entries. More...
Number | SumLogs () const
| Returns the sum of the logs of each vector entry. More...
Methods for specialized operations. A prototype
implementation is provided, but for efficient implementation those should be specially implemented.
void | AddOneVector (Number a, const Vector &v1, Number c)
| Add one vector, y = a * v1 + c * y. More...
void | AddTwoVectors (Number a, const Vector &v1, Number b, const Vector &v2, Number c)
| Add two vectors, y = a * v1 + b * v2 + c * y. More...
Number | FracToBound (const Vector &delta, Number tau) const
| Fraction to the boundary parameter. More...
void | AddVectorQuotient (Number a, const Vector &z, const Vector &s, Number c)
| Add the quotient of two vectors, y = a * z/s + c * y. More...
Accessor methods
Index | Dim () const
| Dimension of the Vector. More...
SmartPtr< const VectorSpace > | OwnerSpace () const
| Return the owner VectorSpace. More...
Output methods
(derived classes do NOT overload these methods, instead, overload the protected versions of these methods).
void | Print (SmartPtr< const Journalist > jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
| Print the entire vector. More...
void | Print (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
Public Member Functions inherited from Ipopt::TaggedObject
| TaggedObject ()
| Constructor. More...
virtual | ~TaggedObject ()
| Destructor. More...
Tag | GetTag () const
| Users of TaggedObjects call this to update their own internal tags every time they perform the expensive operation. More...
bool | HasChanged (const Tag comparison_tag) const
| Users of TaggedObjects call this to check if the object HasChanged since they last updated their own internal tag. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const
Public Member Functions inherited from Ipopt::Subject
| Subject ()
| Default Constructor. More...
virtual | ~Subject ()
| Default destructor. More...
void | AttachObserver (Observer::NotifyType notify_type, Observer *observer) const
| Attach the specified observer (i.e., begin recieving notifications). More...
void | DetachObserver (Observer::NotifyType notify_type, Observer *observer) const
| Detach the specified observer (i.e., no longer recieve notifications). More...

## Protected Member Functions
implementation methods (derived classes MUST
overload these pure virtual protected methods.)
virtual void | CopyImpl (const Vector &x)=0
| Copy the data of the vector x into this vector (DCOPY). More...
virtual void | ScalImpl (Number alpha)=0
| Scales the vector by scalar alpha (DSCAL) More...
virtual void | AxpyImpl (Number alpha, const Vector &x)=0
| Add the multiple alpha of vector x to this vector (DAXPY) More...
virtual Number | DotImpl (const Vector &x) const =0
| Computes inner product of vector x with this (DDOT) More...
virtual Number | Nrm2Impl () const =0
| Computes the 2-norm of this vector (DNRM2) More...
virtual Number | AsumImpl () const =0
| Computes the 1-norm of this vector (DASUM) More...
virtual Number | AmaxImpl () const =0
| Computes the max-norm of this vector (based on IDAMAX) More...
virtual void | SetImpl (Number alpha)=0
| Set each element in the vector to the scalar alpha. More...
virtual void | ElementWiseDivideImpl (const Vector &x)=0
| Element-wise division . More...
virtual void | ElementWiseMultiplyImpl (const Vector &x)=0
| Element-wise multiplication . More...
virtual void | ElementWiseMaxImpl (const Vector &x)=0
| Element-wise max against entries in x. More...
virtual void | ElementWiseMinImpl (const Vector &x)=0
| Element-wise min against entries in x. More...
virtual void | ElementWiseReciprocalImpl ()=0
| Reciprocates the elements of the vector. More...
virtual void | ElementWiseAbsImpl ()=0
| Take elementwise absolute values of the elements of the vector. More...
virtual void | ElementWiseSqrtImpl ()=0
| Take elementwise square-root of the elements of the vector. More...
virtual void | ElementWiseSgnImpl ()=0
| Replaces entries with sgn of the entry. More...
virtual void | AddScalarImpl (Number scalar)=0
| Add scalar to every component of vector. More...
virtual Number | MaxImpl () const =0
| Max value in the vector. More...
virtual Number | MinImpl () const =0
| Min number in the vector. More...
virtual Number | SumImpl () const =0
| Sum of entries in the vector. More...
virtual Number | SumLogsImpl () const =0
| Sum of logs of entries in the vector. More...
virtual void | AddTwoVectorsImpl (Number a, const Vector &v1, Number b, const Vector &v2, Number c)
| Add two vectors (a * v1 + b * v2). More...
virtual Number | FracToBoundImpl (const Vector &delta, Number tau) const
| Fraction to boundary parameter. More...
virtual void | AddVectorQuotientImpl (Number a, const Vector &z, const Vector &s, Number c)
| Add the quotient of two vectors. More...
virtual bool | HasValidNumbersImpl () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan). More...
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const =0
| Print the entire vector. More...
Protected Member Functions inherited from Ipopt::TaggedObject
void | ObjectChanged ()
| Objects derived from TaggedObject MUST call this method every time their internal state changes to update the internal tag for comparison. More...
Protected Member Functions inherited from Ipopt::Subject
void | Notify (Observer::NotifyType notify_type) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| Vector ()
| Default constructor. More...
| Vector (const Vector &)
| Copy constructor. More...
Vector & | operator= (const Vector &)
| Overloaded Equals Operator. More...

## Private Attributes
const SmartPtr< const VectorSpace > | owner_space_
| Vector Space. More...
CachedResults data members
CachedResults< Number > | dot_cache_
| Cache for dot products. More...
TaggedObject::Tag | nrm2_cache_tag_
Number | cached_nrm2_
TaggedObject::Tag | asum_cache_tag_
Number | cached_asum_
TaggedObject::Tag | amax_cache_tag_
Number | cached_amax_
TaggedObject::Tag | max_cache_tag_
Number | cached_max_
TaggedObject::Tag | min_cache_tag_
Number | cached_min_
TaggedObject::Tag | sum_cache_tag_
Number | cached_sum_
TaggedObject::Tag | sumlogs_cache_tag_
Number | cached_sumlogs_
TaggedObject::Tag | valid_cache_tag_
bool | cached_valid_

## Additional Inherited Members
Public Types inherited from Ipopt::TaggedObject
typedef unsigned int | Tag
| Type for the Tag values. More...

## Detailed Description

Vector Base Class.

This is the base class for all derived vector types. Those vectors are meant to store entities like iterates, Lagrangian multipliers, constraint values etc. The implementation of a vector type depends on the computational environment (e.g. just a double array on a shared memory machine, or distributed double arrays for a distributed memory machine.)

Deriving from Vector: This class inherits from tagged object to implement an advanced caching scheme. Because of this, the TaggedObject method ObjectChanged() must be called each time the Vector changes. If you overload the XXXX_Impl protected methods, this taken care of (along with caching if possible) for you. If you have additional methods in your derived class that change the underlying data (vector values), you MUST remember to call ObjectChanged() AFTER making the change!

Definition at line 47 of file IpVector.hpp.

## Constructor & Destructor Documentation

Ipopt::Vector::Vector | ( | const VectorSpace * | owner_space | ) |
| inline

Constructor.

It has to be given a pointer to the corresponding VectorSpace.

Definition at line 445 of file IpVector.hpp.

Ipopt::Vector::~Vector | ( |  | ) |
| inline virtual

Destructor.

Definition at line 441 of file IpVector.hpp.

Ipopt::Vector::Vector | ( |  | ) |
| private

Default constructor.

Ipopt::Vector::Vector | ( | const Vector & |  | ) |
| private

Copy constructor.

## Member Function Documentation

Vector * Ipopt::Vector::MakeNew | ( |  | ) | const
| inline

Create new Vector of the same type with uninitialized data.

Definition at line 463 of file IpVector.hpp.

Vector * Ipopt::Vector::MakeNewCopy | ( |  | ) | const
| inline

Create new Vector of the same type and copy the data over.

Definition at line 469 of file IpVector.hpp.

void Ipopt::Vector::Copy | ( | const Vector & | x | ) |
| inline

Copy the data of the vector x into this vector (DCOPY).

Definition at line 478 of file IpVector.hpp.

void Ipopt::Vector::Scal | ( | Number | alpha | ) |

Scales the vector by scalar alpha (DSCAL)

void Ipopt::Vector::Axpy | ( | Number | alpha,
|  | const Vector & | x
| ) |  |
| inline

Add the multiple alpha of vector x to this vector (DAXPY)

Definition at line 516 of file IpVector.hpp.

Number Ipopt::Vector::Dot | ( | const Vector & | x | ) | const
| inline

Computes inner product of vector x with this (DDOT)

Definition at line 523 of file IpVector.hpp.

Number Ipopt::Vector::Nrm2 | ( |  | ) | const
| inline

Computes the 2-norm of this vector (DNRM2)

Definition at line 542 of file IpVector.hpp.

Number Ipopt::Vector::Asum | ( |  | ) | const
| inline

Computes the 1-norm of this vector (DASUM)

Definition at line 552 of file IpVector.hpp.

Number Ipopt::Vector::Amax | ( |  | ) | const
| inline

Computes the max-norm of this vector (based on IDAMAX)

Definition at line 562 of file IpVector.hpp.

void Ipopt::Vector::Set | ( | Number | alpha | ) |
| inline

Set each element in the vector to the scalar alpha.

Definition at line 599 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseDivide | ( | const Vector & | x | ) |
| inline

Element-wise division .

Definition at line 607 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseMultiply | ( | const Vector & | x | ) |
| inline

Element-wise multiplication .

Definition at line 614 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseMax | ( | const Vector & | x | ) |
| inline

Element-wise max against entries in x.

Definition at line 628 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseMin | ( | const Vector & | x | ) |
| inline

Element-wise min against entries in x.

Definition at line 636 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseReciprocal | ( |  | ) |
| inline

Reciprocates the entries in the vector.

Definition at line 621 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseAbs | ( |  | ) |
| inline

Absolute values of the entries in the vector.

Definition at line 644 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseSqrt | ( |  | ) |
| inline

Element-wise square root of the entries in the vector.

Definition at line 652 of file IpVector.hpp.

void Ipopt::Vector::ElementWiseSgn | ( |  | ) |
| inline

    Replaces the vector values with their sgn values

( -1 if x_i < 0, 0 if x_i == 0, and 1 if x_i > 0)

Definition at line 592 of file IpVector.hpp.

void Ipopt::Vector::AddScalar | ( | Number | scalar | ) |
| inline

Add scalar to every vector component.

Definition at line 659 of file IpVector.hpp.

Number Ipopt::Vector::Max | ( |  | ) | const
| inline

Returns the maximum value in the vector.

Definition at line 667 of file IpVector.hpp.

Number Ipopt::Vector::Min | ( |  | ) | const
| inline

Returns the minimum value in the vector.

Definition at line 677 of file IpVector.hpp.

Number Ipopt::Vector::Sum | ( |  | ) | const
| inline

Returns the sum of the vector entries.

Definition at line 572 of file IpVector.hpp.

Number Ipopt::Vector::SumLogs | ( |  | ) | const
| inline

Returns the sum of the logs of each vector entry.

Definition at line 582 of file IpVector.hpp.

void Ipopt::Vector::AddOneVector | ( | Number | a,
|  | const Vector & | v1,
|  | Number | c
| ) |  |
| inline

Add one vector, y = a * v1 + c * y.

This is automatically reduced to call AddTwoVectors.

Definition at line 687 of file IpVector.hpp.

void Ipopt::Vector::AddTwoVectors | ( | Number | a,
|  | const Vector & | v1,
|  | Number | b,
|  | const Vector & | v2,
|  | Number | c
| ) |  |
| inline

Add two vectors, y = a * v1 + b * v2 + c * y.

Here, this vector is y

Definition at line 693 of file IpVector.hpp.

Number Ipopt::Vector::FracToBound | ( | const Vector & | delta,
|  | Number | tau
| ) |  | const
| inline

Fraction to the boundary parameter.

Computes

Definition at line 701 of file IpVector.hpp.

void Ipopt::Vector::AddVectorQuotient | ( | Number | a,
|  | const Vector & | z,
|  | const Vector & | s,
|  | Number | c
| ) |  |
| inline

Add the quotient of two vectors, y = a * z/s + c * y.

Definition at line 721 of file IpVector.hpp.

bool Ipopt::Vector::HasValidNumbers | ( |  | ) | const
| inline

Method for determining if all stored numbers are valid (i.e., no Inf or Nan).

Definition at line 729 of file IpVector.hpp.

Index Ipopt::Vector::Dim | ( |  | ) | const
| inline

Dimension of the Vector.

Definition at line 739 of file IpVector.hpp.

SmartPtr< const VectorSpace > Ipopt::Vector::OwnerSpace | ( |  | ) | const
| inline

Return the owner VectorSpace.

Definition at line 745 of file IpVector.hpp.

void Ipopt::Vector::Print | ( | SmartPtr< const Journalist > | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent = `0`,
|  | const std::string & | prefix = `""`
| ) |  | const

Print the entire vector.

void Ipopt::Vector::Print | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent = `0`,
|  | const std::string & | prefix = `""`
| ) |  | const

virtual void Ipopt::Vector::CopyImpl | ( | const Vector & | x | ) |
| protected pure virtual

Copy the data of the vector x into this vector (DCOPY).

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ScalImpl | ( | Number | alpha | ) |
| protected pure virtual

Scales the vector by scalar alpha (DSCAL)

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::AxpyImpl | ( | Number | alpha,
|  | const Vector & | x
| ) |  |
| protected pure virtual

Add the multiple alpha of vector x to this vector (DAXPY)

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::DotImpl | ( | const Vector & | x | ) | const
| protected pure virtual

Computes inner product of vector x with this (DDOT)

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::Nrm2Impl | ( |  | ) | const
| protected pure virtual

Computes the 2-norm of this vector (DNRM2)

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::AsumImpl | ( |  | ) | const
| protected pure virtual

Computes the 1-norm of this vector (DASUM)

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::AmaxImpl | ( |  | ) | const
| protected pure virtual

Computes the max-norm of this vector (based on IDAMAX)

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::SetImpl | ( | Number | alpha | ) |
| protected pure virtual

Set each element in the vector to the scalar alpha.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseDivideImpl | ( | const Vector & | x | ) |
| protected pure virtual

Element-wise division .

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseMultiplyImpl | ( | const Vector & | x | ) |
| protected pure virtual

Element-wise multiplication .

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseMaxImpl | ( | const Vector & | x | ) |
| protected pure virtual

Element-wise max against entries in x.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseMinImpl | ( | const Vector & | x | ) |
| protected pure virtual

Element-wise min against entries in x.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseReciprocalImpl | ( |  | ) |
| protected pure virtual

Reciprocates the elements of the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseAbsImpl | ( |  | ) |
| protected pure virtual

Take elementwise absolute values of the elements of the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseSqrtImpl | ( |  | ) |
| protected pure virtual

Take elementwise square-root of the elements of the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::ElementWiseSgnImpl | ( |  | ) |
| protected pure virtual

Replaces entries with sgn of the entry.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::AddScalarImpl | ( | Number | scalar | ) |
| protected pure virtual

Add scalar to every component of vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::MaxImpl | ( |  | ) | const
| protected pure virtual

Max value in the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::MinImpl | ( |  | ) | const
| protected pure virtual

Min number in the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::SumImpl | ( |  | ) | const
| protected pure virtual

Sum of entries in the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::SumLogsImpl | ( |  | ) | const
| protected pure virtual

Sum of logs of entries in the vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::AddTwoVectorsImpl | ( | Number | a,
|  | const Vector & | v1,
|  | Number | b,
|  | const Vector & | v2,
|  | Number | c
| ) |  |
| protected virtual

Add two vectors (a * v1 + b * v2).

Result is stored in this vector.

Reimplemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual Number Ipopt::Vector::FracToBoundImpl | ( | const Vector & | delta,
|  | Number | tau
| ) |  | const
| protected virtual

Fraction to boundary parameter.

Reimplemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual void Ipopt::Vector::AddVectorQuotientImpl | ( | Number | a,
|  | const Vector & | z,
|  | const Vector & | s,
|  | Number | c
| ) |  |
| protected virtual

Add the quotient of two vectors.

Reimplemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

virtual bool Ipopt::Vector::HasValidNumbersImpl | ( |  | ) | const
| protected virtual

Method for determining if all stored numbers are valid (i.e., no Inf or Nan).

A default implementation using Asum is provided.

Reimplemented in Ipopt::CompoundVector.

virtual void Ipopt::Vector::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix
| ) |  | const
| protected pure virtual

Print the entire vector.

Implemented in Ipopt::DenseVector, and Ipopt::CompoundVector.

Vector& Ipopt::Vector::operator= | ( | const Vector & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

const SmartPtr<const VectorSpace> Ipopt::Vector::owner_space_
| private

Vector Space.

Definition at line 343 of file IpVector.hpp.

CachedResults<Number> Ipopt::Vector::dot_cache_
| mutable private

Cache for dot products.

Definition at line 348 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::nrm2_cache_tag_
| mutable private

Definition at line 350 of file IpVector.hpp.

Number Ipopt::Vector::cached_nrm2_
| mutable private

Definition at line 351 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::asum_cache_tag_
| mutable private

Definition at line 353 of file IpVector.hpp.

Number Ipopt::Vector::cached_asum_
| mutable private

Definition at line 354 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::amax_cache_tag_
| mutable private

Definition at line 356 of file IpVector.hpp.

Number Ipopt::Vector::cached_amax_
| mutable private

Definition at line 357 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::max_cache_tag_
| mutable private

Definition at line 359 of file IpVector.hpp.

Number Ipopt::Vector::cached_max_
| mutable private

Definition at line 360 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::min_cache_tag_
| mutable private

Definition at line 362 of file IpVector.hpp.

Number Ipopt::Vector::cached_min_
| mutable private

Definition at line 363 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::sum_cache_tag_
| mutable private

Definition at line 365 of file IpVector.hpp.

Number Ipopt::Vector::cached_sum_
| mutable private

Definition at line 366 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::sumlogs_cache_tag_
| mutable private

Definition at line 368 of file IpVector.hpp.

Number Ipopt::Vector::cached_sumlogs_
| mutable private

Definition at line 369 of file IpVector.hpp.

TaggedObject::Tag Ipopt::Vector::valid_cache_tag_
| mutable private

Definition at line 371 of file IpVector.hpp.

bool Ipopt::Vector::cached_valid_
| mutable private

Definition at line 372 of file IpVector.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpVector.hpp